Commit 02c6a2ca authored by Markus Frosch's avatar Markus Frosch
Browse files

rpm: Fix requirements installation on SUSE

If requires are empty for source.
parent 028a0ab3
Pipeline #7246 passed with stage
in 32 seconds
......@@ -41,9 +41,16 @@ echo "[ Installing build dependencies ]"
case "$ICINGA_BUILD_OS" in
opensuse*|sles)
(
set -ex
# shellcheck disable=SC2046
run-retry-timeout sudo zypper --non-interactive install $(rpm -qpR "${source_rpm}")
if ! requires="$(rpm -qpR "${source_rpm}")"; then
echo "Could not lookup requires in source RPM!" >&2
exit 1
fi
echo "Found required: $requires"
if [ -n "$requires" ]; then
set -ex
run-retry-timeout sudo zypper --non-interactive install
fi
)
;;
*)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment